/* ================== */
/* section パーパス */
/* ================== */
.purpose {
  margin-block: 5rem;
}

.purpose__bg {
  background: url(../../images/porpose/img-purpose-bg.webp) no-repeat bottom;
  background-size: cover;
  height: 420px;
  position: relative;
  z-index: -1;
}

.ball-red::after {
  aspect-ratio: 1;
  background: url(../../images/common/ball-red.webp);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  z-index: -1;
}

.ball-red1 {
  left: 4.06vw;
  position: absolute;
  top: 20%;
}

.ball-red1::after {
  animation: movingBall1 6s ease-in-out infinite;
  width: 1.9vw;
}

.ball-red2 {
  left: 25.16vw;
  position: absolute;
  top: 16%;
}

.ball-red2::after {
  animation: movingBall2 8s ease-in-out infinite;
  width: 3.75vw;
}

.ball-red3 {
  position: absolute;
  right: 24.3vw;
  top: 30%;
}

.ball-red3::after {
  animation: movingBall3 6s ease-in-out infinite;
  width: 2.5vw;
}

.ball-red4 {
  position: absolute;
  right: 3.125vw;
  top: 50%;
}

.ball-red4::after {
  animation: movingBall2 7s ease-in-out infinite;
  width: 1.25vw;
}

.ball-blue::after {
  aspect-ratio: 1;
  background: url(../../images/common/ball-blue.webp);
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: block;
  position: relative;
  z-index: -1;
}

.ball-blue1 {
  left: 11.33vw;
  position: absolute;
  top: 40%;
}

.ball-blue1::after {
  animation: movingBall2 8s ease-in-out infinite;
  width: 2.76vw;
}

.ball-blue2 {
  left: 43vw;
  position: absolute;
  top: 40%;
}

.ball-blue2::after {
  animation: movingBall3 10s ease-in-out infinite;
  width: 1.85vw;
}

.ball-blue3 {
  position: absolute;
  right: 11.17vw;
  top: 12%;
}

.ball-blue3::after {
  animation: movingBall1 9s ease-in-out infinite;
  width: 3.75vw;
}

@keyframes movingBall {
  0% {
    translate: 0 1vw;
  }
  50% {
    translate: 0 -0.5vw;
  }
  100% {
    translate: 0 1vw;
  }
}

@keyframes movingBall2 {
  0% {
    translate: 0 -1vw;
  }
  50% {
    translate: 0 0.5vw;
  }
  100% {
    translate: 0 -1vw;
  }
}

@keyframes movingBall3 {
  0% {
    translate: 0 0.8vw;
  }
  50% {
    translate: 0 -0.8vw;
  }
  100% {
    translate: 0 0.8vw;
  }
}

.purpose__container {
  background-color: #fff;
  margin-top: -8.75rem;
  padding: 4.5rem 5.625rem;
}

.pursose__head {
  display: flex;
  gap: 6.2%;
}

.pursose__head .secTitle {
  flex: 0 0 33.778%;
  height: fit-content;
  margin-block: auto;
}

.pursose__youtube {
  width: 100%;
  flex: 1;
}

.pursose__youtube iframe {
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
}

.pursose__title-img {
  margin: 0 auto;
  color: var(--colorRed);
  margin-top: 7.5rem;
}

.pursose__text-frames {
  position: relative;
  margin-top: 4rem;
  display: flex;
}

.pursose__text-frame {
  display: block;
  width: 1.5rem;
  height: inherit;
  border-top: 1px solid var(--colorRed);
  border-left: 1px solid var(--colorRed);
  border-bottom: 1px solid var(--colorRed);
}
.pursose__text-frame:nth-of-type(2) {
  border-left: 0;
  border-right: 1px solid var(--colorRed);
}

.pursose__texts {
  padding-block: 1rem;
  flex: 1;
}

.pursose__text {
  text-align: center;
  font-weight: 700;
  font-size: 1.125rem;
  line-height: 2;
  letter-spacing: 0.09em;
}

.pursose__text:not(:first-of-type) {
  margin-top: 1.5rem;
}

.pursose__links {
  align-items: center;
  display: flex;
  justify-content: center;
  gap: 2rem;
  margin-top: 4rem;
}

@media screen and (max-width: 1080px) {
  .pursose__head {
    display: block;
  }
  .pursose__head .secTitle {
    text-align: center;
  }
  .pursose__youtube {
    margin-top: var(--size32);
  }
  .pursose__title-img {
    width: clamp(224px, 65.5%, 308px);
    margin-top: var(--size64);
  }
}

@media screen and (max-width: 767px) {
  .purpose {
    margin-top: var(--size64);
    margin-bottom: 0;
  }

  .purpose__bg {
    background: url(../../images/porpose/img-purpose-bg-sp.webp) no-repeat right bottom / cover;
    height: 61.54vw;
    position: relative;
  }

  .purpose__container {
    margin-top: -16.41vw;
    padding: var(--size40) 0 var(--size96) 0;
  }

  .pursose__contents {
    margin-top: var(--size32);
  }

  .pursose__title-img {
    margin: var(--size56) auto 0 auto;
  }

  .pursose__text-frames {
    margin-top: var(--size40);
  }

  .pursose__text-frame {
    display: block;
    width: var(--size16);
    height: inherit;
    border-top: 1px solid var(--colorRed);
    border-left: 1px solid var(--colorRed);
    border-bottom: 1px solid var(--colorRed);
  }

  .pursose__texts {
    padding: var(--size8);
  }

  .pursose__title-text {
    font-size: var(--size18);
    margin-top: var(--size32);
  }

  .pursose__text {
    font-size: var(--size16);
    letter-spacing: 0.08em;
  }

  .pursose__links {
    flex-direction: column;
    gap: var(--size24);
    margin-top: var(--size48);
    justify-content: flex-end;
  }
}

/* ================== */
/* section 経営理念 */
/* ================== */
.philosophy {
  background-color: var(--colorBg);
  padding-block: 7.5rem 9.5rem;
}

.philosophy__head {
  display: flex;
  gap: 12.6852%;
  padding-left: 5.5rem;
}

.philosophy__head-title {
  flex: 1;
}

.philosophy__head-title {
  margin-bottom: 1.7vw;
  position: relative;
  width: fit-content;
}

.philosophy__head-title img {
  display: inline-block;
  max-width: 543.87px;
  width: 42.49vw;
}

.philosophy__head-titleLine {
  display: inline-block;
  height: 2rem;
  position: absolute;
  width: 2rem;
}

.philosophy__head-titleLine:nth-of-type(1) {
  border-left: 1px solid var(--colorRed);
  border-top: 1px solid var(--colorRed);
  left: 0;
  top: 0;
  transform: translate(-100%, -100%);
}

.philosophy__head-titleLine:nth-of-type(2) {
  border-bottom: 1px solid var(--colorRed);
  border-right: 1px solid var(--colorRed);
  bottom: 0;
  right: 0;
  transform: translate(100%, 100%);
}

.philosophy__content {
  background-color: #fff;
  margin-top: 3rem;
  padding: 4.5rem 5.625rem 5.5rem;
}

.philosophy__content:first-of-type {
  padding-bottom: 6rem;
}

.philosophy__content + .philosophy__content {
  margin-top: 1.5rem;
}

.philosophy__headTitle {
  font-size: 2.25rem;
  font-weight: 700;
}

.philosophy__headText {
  line-height: 1.8;
  margin-top: 2rem;
}

.philosophy__figure {
  margin: 6.418125rem auto 0 auto;
  position: relative;
  width: fit-content;
}

.philosophy__figure-img {
  margin-left: auto;
  margin-right: auto;
  width: 489.31px;
}

.philosophyCard {
  aspect-ratio: 1 / 1;
  background-color: #fff;
  border-radius: 50%;
  box-shadow: 7.2px 7.2px 21.59px rgba(0 0 0 / 0.15);
  display: inline-grid;
  place-content: center;
  width: 15rem;
  height: 15rem;
}

.philosophyCard__title--red {
  color: var(--colorRed);
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 1.5;
  text-align: center;
}

.philosophyCard__title {
  font-size: 0.875rem;
  font-weight: 700;
  line-height: 1.5;
  margin-top: 0.775rem;
  text-align: center;
}

.position {
  position: absolute;
}
.position:nth-of-type(1) {
  left: 50%;
  top: 0;
  transform: translate(-50%, -29.454167%);
}
.position:nth-of-type(2) {
  bottom: -6px;
  left: 0;
  transform: translateX(-32.7875%);
}
.position:nth-of-type(3) {
  bottom: -6px;
  right: 0;
  transform: translateX(32.7875%);
}

.philosophy__lists li {
  border-bottom: 1px solid #ddd;
  padding-block: 1.5rem;
}

.philosophy__lists li:first-of-type {
  margin-top: 1rem;
}

.philosophy__lists li:last-of-type {
  border-bottom: none;
}

.philosophyList__title {
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 1.5;
  padding-left: calc(1rem + 0.8rem);
  position: relative;
}

.philosophyList__title::before,
.philosophyList__title::after {
  background-color: var(--colorRed);
  border-radius: 50%;
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

.philosophyList__title::before {
  height: 1rem;
  left: 0;
  opacity: 0.2;
  width: 1rem;
}

.philosophyList__title::after {
  height: 0.5rem;
  left: 0.25rem;
  width: 0.5rem;
  z-index: 2;
}

.philosophyList__text {
  margin-top: 1rem;
  line-height: 1.8;
}

.dna__head {
  align-items: center;
  display: flex;
  gap: 4.44%;
}

.dna__head-titles {
  flex: 0 0 35.56%;
}

.dna__youtube {
  flex: 1;
}

.dna__youtube iframe {
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
}

.text-center {
  text-align: center;
}

@media screen and (min-width: 1280px) {
  .philosophy__head-title {
    margin-bottom: 1.375rem;
  }

  .philosophy__head-title img {
    width: 34rem;
  }
}

@media screen and (max-width: 1024px) {
  .philosophy__head {
    padding-left: var(--size8);
  }
}

@media screen and (max-width: 767px) {
  .philosophy {
    padding-block: var(--size80) var(--size96);
  }

  .philosophy .container {
    padding-inline: 4.102561%;
  }

  .philosophy__head {
    display: block;
  }

  .philosophy__head-title-wrapper {
    margin: var(--size56) var(--size16) var(--size18) var(--size16);
  }

  .philosophy__head-title img {
    max-width: 19.375rem;
    width: 100%;
  }

  .philosophy__head-titleLine {
    height: var(--size16);
    width: var(--size16);
  }

  .philosophy__content {
    margin-top: var(--size56);
    padding: var(--size32) var(--size16) var(--size40) var(--size16);
  }

  .philosophy__content + .philosophy__content {
    margin-top: var(--size16);
  }

  .philosophy__headTitle {
    font-size: var(--size32);
    text-align: center;
  }

  .philosophy__headText {
    font-size: var(--size16);
    margin-top: var(--size16);
    text-align: center;
  }

  .philosophy__figure {
    margin: var(--size64) auto 0 auto;
  }

  .philosophy__figure-img {
    width: 63.59vw;
  }

  .philosophyCard {
    box-shadow: 0.9436vw 0.9436vw 2.806154vw rgba(0 0 0 / 0.15);
    width: 31.2vw;
    height: 31.2vw;
  }

  .philosophyCard__title--red {
    font-size: 3.12vw;
  }

  .philosophyCard__title {
    font-size: 1.82vw;
    margin-top: 1.61282vw;
  }

  .position:nth-of-type(2) {
    bottom: -0.78vw;
    left: 0;
    transform: translateX(-8.6vw);
  }
  .position:nth-of-type(3) {
    bottom: -0.78vw;
    right: 0;
    transform: translateX(8.6vw);
  }

  .philosophy__lists li {
    padding-block: var(--size24);
  }

  .philosophy__lists li:first-of-type {
    margin-top: 0;
  }

  .philosophyList__title {
    font-size: var(--size24);
    padding-left: calc(var(--size16) + var(--size8));
  }

  .philosophyList__title::before {
    height: var(--size16);
    width: var(--size16);
  }

  .philosophyList__title::after {
    height: var(--size8);
    left: var(--size4);
    width: var(--size8);
  }

  .philosophyList__text {
    margin-top: var(--size16);
  }

  .dna__head {
    display: block;
  }

  .dna__youtube {
    margin-top: var(--size40);
  }
}

/* ================== */
/* section VALUE UP宣言 */
/* ================== */
.declaration {
  padding-block: 9.5rem;
}

.declaration__container {
  display: flex;
  gap: 16.7%;
}

.declaration__head {
  flex: 0 0 33.3%;
}

.declaration__head-text {
  margin-top: 1.5rem;
  line-height: 1.8;
}

.declaration__details {
  flex: 1;
}

.declaration__details ul {
  display: grid;
  gap: 1.5rem;
}

.declarationList__title-en {
  color: var(--colorRed);
  font-family: var(--familyRobotoCondensed);
  font-size: 1.75rem;
  font-weight: 700;
  line-height: 1.5;
}

.declarationList__title-ja {
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 1.5;
  padding-left: 1.3125rem;
  position: relative;
  margin-left: 0.65625rem;
}

.declarationList__title-ja::before {
  background-color: var(--colorBlack);
  content: "";
  height: 0.0625rem;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 0.625rem;
}

:lang(ja) .declarationList__title-ja.ja-only::before {
  display: inline-block;
}
:lang(en) .declarationList__title-ja.ja-only { display: none; }
:lang(zh) .declarationList__title-ja.ja-only { display: none; }

.declarationList__text {
  line-height: 1.8;
  margin-top: 0.25rem;
}

@media screen and (max-width: 1060px) {
  .declaration__container {
    gap: 5%;
  }

  .declaration__head {
    flex: 0 0 48%;
  }
}

@media screen and (max-width: 767px) {
  .declaration {
    padding-block: var(--size96);
  }

  .declaration__container {
    display: block;
  }

  .declaration__head-text {
    margin-top: var(--size24);
  }

  .declaration__details ul {
    gap: var(--size16);
    margin-top: var(--size40);
  }

  .declarationList__title-en {
    font-size: var(--size28);
  }
  
  .declarationList__title-en::after {
    width: var(--size16);
  }
  .declarationList__title-ja {
    font-size: var(--size24);
    margin-left: var(--size8);
    padding-left: var(--size24);
  }

  .declarationList__text {
    margin-top: var(--size8);
    font-size: var(--size16);
  }
}
